package jp.sourceforge.shovel.form.impl;

import static jp.sourceforge.shovel.FormatType.*;
import static jp.sourceforge.shovel.MethodType.*;

import org.seasar.struts.annotation.tiger.StrutsActionForm;

import jp.sourceforge.shovel.FormatType;
import jp.sourceforge.shovel.MethodType;
import jp.sourceforge.shovel.form.IStatusesForm;

@StrutsActionForm(name = "statusesForm")
public class StatusesFormImpl implements IStatusesForm {
    String at_;
    long replyId_;
    int count_;
    String foreignKey_;
    FormatType formatType_;
    MethodType methodType_;
    boolean partial_;
    int page_;
    String since_;
    boolean useRemoved_;
    long since_id_;
    long userId_;
    
    public String getAt() {
        return at_;
    }
    public void setAt(String at) {
        at_ = at;
    }
    public long getReplyId() {
        return replyId_;
    }
    public void setReplyId(long replyId) {
        replyId_ = replyId;
    }
    public int getCount() {
        return count_;
    }
    public void setCount(int count) {
        count_ = count;
    }
    public String getForeignKey() {
        return foreignKey_ == null ? "" : foreignKey_;
    }
    public void setForeignKey(String foreignKey) {
        foreignKey_ = foreignKey;
    }
    public String getFormat() {
        return getFormatType().getId();
    }
    public void setFormat(String format) {
        setFormatType(FormatType.find(format));
    }
    public FormatType getFormatType() {
        return formatType_ == null ? HTML : formatType_;
    }
    public void setFormatType(FormatType formatType) {
        formatType_ = formatType;
    }
    public String getMethod() {
        return getMethodType().getId();
    }
    public void setMethod(String method) {
        setMethodType(MethodType.find(method));
    }
    public MethodType getMethodType() {
        return methodType_ == null ? RELOAD: methodType_;
    }
    public void setMethodType(MethodType methodType) {
        methodType_ = methodType;
    }
    public boolean isPartial() {
        return partial_;
    }
    public void setPartial(boolean partial) {
        partial_ = partial;
    }
    public int getPage() {
        return page_;
    }
    public void setPage(int page) {
        page_ = page;
    }
    public String getSince() {
        return since_ == null ? "" : since_;
    }
    public void setSince(String since) {
        since_ = since;
    }
    public long getSince_id() {
        return since_id_;
    }
    public void setSince_id(long since_id) {
        since_id_ = since_id;
    }
    public long getUserId() {
        return userId_;
    }
    public void setUserId(long userId) {
        userId_ = userId;
    }
    public boolean isUseRemoved() {
        return this.useRemoved_;
    }
    public void setUseRemoved(boolean useRemoved) {
        this.useRemoved_ = useRemoved;
    }
}
